#!/usr/bin/perl -w
# -T can only be given on the command line (taint checking)
use strict; # homework by Eric Auer      see perlre for regexp
use English; # to have $MATCH $PREMATCH $POSTMATCH

# week 6 helper: "deflection" - simple removal of inflectional
# suffixes

my $DEFLEXME = 1; # set to 0 to deactivate this "feature"

sub deflex { # arg is a word, returns something more like a stem
  my $a =  $_[0]; # copy arg
  if ($DEFLEXME == 0) { return $a; }

  if    ($a =~ s/s$//i)   {} # we cut at most one suffix
  elsif ($a =~ s/ing$//i) {}
  elsif ($a =~ s/en$//i)  {}
  elsif ($a =~ s/es$//i)  {}

  return $a;
}

return 1; # make require succeed
